Download it now!
Bug 129119 - crash in launching Customize dialog from StartCenter Tools -> Customize
Summary: crash in launching Customize dialog from StartCenter Tools -> Customize
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-11-30 19:49 UTC by V Stuart Foote
Modified: 2019-12-05 10:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
stack trace of crash launcing Customize Dialog from StartCenter (13.43 KB, text/plain)
2019-11-30 19:49 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2019-11-30 19:49:26 UTC
Created attachment 156206 [details]
stack trace of crash launcing Customize Dialog from StartCenter

Getting a crash launching the Customize dialog from the StartCenter menu Tools -> Customize

Recent issue on master...

https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=738a11f20ef5b9bcfcc71cca6b0fbea9d06c438b..05734503ed36cff64cfaac8afb7c6df5eced8873

WinDbg 64bit stacktrace attached.
Comment 1 V Stuart Foote 2019-11-30 19:54:08 UTC
On Windows 10 Home 64-bit en-US with
Version: 6.5.0.0.alpha0+ (x64) <2019-11-27>
Build ID: 05734503ed36cff64cfaac8afb7c6df5eced8873
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

and again with
Version: 6.5.0.0.alpha0+ (x64) <2019-11-30>
Build ID: ecc56435094e23165eb30db4d7f6a7e6aab0b47e
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

not noted with
Version: 6.5.0.0.alpha0+ (x64) <2019-11-25>
Build ID: 738a11f20ef5b9bcfcc71cca6b0fbea9d06c438b
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 2 Aron Budea 2019-11-30 20:17:36 UTC
There's a good chance it's from one of bug 126043's fixes.
Comment 3 V Stuart Foote 2019-11-30 20:40:14 UTC
(In reply to Aron Budea from comment #2)
> There's a good chance it's from one of bug 126043's fixes.

Maybe. Weird though that it does not crash when Customize dialog is opened from one of the modules its fine there; just crashes opened from the StartCenter.
Comment 4 Aron Budea 2019-11-30 21:46:29 UTC
Bibisected to th 6.4 backport of the following commit using repo bibisect-win64-6.4. The bug occurs in Linux as well, btw.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=35de720fcb3154cb0511b3aae8b99f20fc6712c9
author		Caolán McNamara <caolanm@redhat.com>	2019-11-25 10:33:42 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-11-26 09:55:11 +0100

tdf#126043 cache the appname and filename
Comment 5 Commit Notification 2019-12-01 19:08:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b1f9e704cb9148b6e211005dab0cd153957a1b2b

Resolves: tdf#129119 no SfxViewFrame in startcenter

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-12-01 19:08:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/921887f97a5c5d1e8957b2d63f513a545282aea9

Resolves: tdf#129119 no SfxViewFrame in startcenter

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Jean-Baptiste Faure 2019-12-02 09:42:10 UTC
Confirm fixed on Version: 6.4.0.0.beta1+
Build ID: 921887f97a5c5d1e8957b2d63f513a545282aea9
Threads CPU : 4; OS : Linux 4.15; UI Render : par défaut; VCL: gtk3; 
Ubuntu_18.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded

Thank you very much.

Best regards. JBF